<?php
namespace Magento\Catalog\Block\Adminhtml\Product\Composite\Configure;

/**
 * Interceptor class for @see \Magento\Catalog\Block\Adminhtml\Product\Composite\Configure
 */
class Interceptor extends \Magento\Catalog\Block\Adminhtml\Product\Composite\Configure implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Catalog\Model\Product $product, \Magento\Framework\Registry $registry, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $product, $registry, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
